package de.kompf.jna;

import java.nio.IntBuffer;
import java.util.*;

import com.sun.jna.*;

public interface CLibrary extends Library {
  class Group extends Structure {
    public String gr_name; /* group name */
    public String gr_passwd; /* group password */
    public int gr_gid; /* group ID */
    public Pointer gr_mem; /* group members */

    @Override
    protected List getFieldOrder() {
      return Arrays.asList(new String[] { "gr_name", "gr_passwd", "gr_gid", "gr_mem" });
    }
  }

  public int getpid();

  public int getgid();

  public Group getgrgid(int gid);

  public int getgroups(int size, IntBuffer list);

  CLibrary INSTANCE = (CLibrary) Native.loadLibrary("c", CLibrary.class);
}
